Title:			README for Textmate GROT Bundle  
Subtitle:		  
Author:			Christian Heine  
Affiliation:	  
Date:			May 27, 2013  
Copyright:		2013 Christian Heine.  
				This work is licensed under an MIT License - see below
Keywords:		GPlates; GROT; rotation file


## General  

I have created this TextMate bundle to make the editing of the next generation [GPlates](http://www.gplates.org)
rotation files (*grot) easier. Currently, the implementation is **fully backwards-compatible** so 
that all applications relying on the old PLATES rotation file format can still read the files with the new format.

**Contributions** to this bundle are happily acccepted - also, you can add issues using the 
[issue tracker](https://bitbucket.org/chhei/grot-bundle/issues?status=new&status=open).

For background on the new rotation file standard please see 
[http://earthbyte.org/people/christian/gplates/index.html#grot](http://earthbyte.org/people/christian/gplates/index.html#grot)
and a [PDF document here](http://earthbyte.org/people/christian/gplates/CHHEI_RotFileStd.pdf).

More (technical) details on the new rotation file format are described in:  

X. Qin, R. D. Müller, J. Cannon, T. C. W. Landgrebe, C. Heine, R. J. Watson, and M. Turner. 
The GPlates Geological Information Model and Markup Language. *Geoscientific Instrumentation, Methods and Data Systems*, 
1(2):111–134, 2012. doi:[10.5194/gi-1-111-2012](http://www.geosci-instrum-method-data-syst.net/1/111/2012/).


## Installation  

Download a zip file from [the repository (under the Branches tab)](https://bitbucket.org/chhei/grot-bundle/downloads) 
and place it in:

	~/Library/Application\ Support/TextMate/Bundles

If that directory doesn't exist, create it.

Using the Terminal:  

	mkdir -p ~/Library/Application\ Support/TextMate/Bundles
	cd ~/Library/Application\ Support/TextMate/Bundles
	git clone git://git@bitbucket.org:chhei/grot-bundle.git "GPlatesRotationFile.tmbundle"

Make sure your current theme as an `entity.character` and  `entity.heading` defined. 
Test different themes in case of doubt.

## License  

License (MIT)
Copyright (c) 2013 Christian Heine

Permission is hereby granted, free of charge, to any person obtaining a copy of 
this software and associated documentation files (the "Software"), to deal in the 
Software without restriction, including without limitation the rights to use, 
copy, modify, merge, publish, distribute, sublicense, and/or sell copies of 
the Software, and to permit persons to whom the Software is furnished to do so, 
subject to the following conditions:

	The above copyright notice and this permission notice shall be included 
	in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF 
OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Christian Heine
2013-02-15